function plot_settings
%% Printing options
FontName = 'monospace';
FontSize = 12;
AxLineWidth = 0.75;
LineWidth = 0.75;
MarkerSize = 4.5;

% Setting LaTeX as text interpreter
set(groot,'DefaultTextInterpreter','latex', ...
    'DefaultAxesTickLabelInterpreter','latex', ...
    'DefaultLegendInterpreter','latex');

% Setting several default options for the graphics
set(groot, 'DefaultFigureColor','White' , ...
'DefaultFigurePaperType', 'a4letter', ...
'DefaultAxesColor', 'white', ...
'DefaultAxesFontUnits', 'points',...
'DefaultAxesFontSize', FontSize, ...
'DefaultAxesFontAngle', 'normal', ...
'DefaultAxesGridLineStyle', '-', ...
'DefaultAxesGridAlpha', 0.25, ...
'DefaultAxesGridColor', [0, 0, 0], ...
'DefaultAxesInterruptible', 'on', ...
'DefaultAxesLayer', 'Bottom', ...
'DefaultAxesNextPlot', 'replace', ...
'DefaultAxesUnits', 'normalized', ...
'DefaultAxesXcolor', [0, 0, 0], ...
'DefaultAxesYcolor', [0, 0, 0], ...
'DefaultAxesZcolor', [0, 0, 0], ...
'DefaultAxesVisible', 'on', ...
'DefaultAxesLineWidth', AxLineWidth, ...
'DefaultLineLineWidth', LineWidth, ...
'DefaultLineMarkerSize', MarkerSize, ...
'DefaultTextColor', [0, 0, 0], ...
'DefaultTextFontUnits', 'Points', ...
'DefaultTextFontName', FontName, ...    % Not applied when LaTeX is used
'DefaultAxesFontName', FontName, ...    % Not applied when LaTeX is used
'DefaultTextFontSize', FontSize, ...
'DefaultTextVerticalAlignment', 'middle', ...
'DefaultTextHorizontalAlignment', 'left')

% Setting a position for the figure
% set(groot,'DefaultFigurePosition', [360   198   560   420]);

end
